--- title: "deleteCloudPostgresqlInstance" slug: "database-vpostgresql-deletecloudpostgresqlinstance" tags: ["Cloud DB for PostgreSQL"] updated: 2026-09-17T10:05:51Z published: 2026-09-17T10:05:51Z canonical: "api.ncloud-docs.com/database-vpostgresql-deletecloudpostgresqlinstance" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # deleteCloudPostgresqlInstance Available in VPC Delete a Cloud DB for PostgreSQL instance. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET \| POST | /vpostgresql/v2/deleteCloudPostgresqlInstance | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Cloud DB for PostgreSQL (VPC) APIs, see [Cloud DB for PostgreSQL (VPC) request headers](/docs/en/database-vpostgresql#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - Region code of the Cloud DB for PostgreSQL instance to delete - Check through [getRegionList](/docs/en/compute-vserver-server-common-getregionlist) - First Region of the `getRegionList` query result (default) | | `cloudPostgresqlInstanceNo` | String | Required | Cloud DB for PostgreSQL server instance number - Unable to delete if a read replica instance exists - Check through [getCloudPostgresqlInstanceList](/docs/en/database-vpostgresql-getcloudpostgresqlinstancelist) | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The following is a sample request. ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vpostgresql/v2/deleteCloudPostgresqlInstance ?regionCode=KR &cloudPostgresqlInstanceNo=****925' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response body See [CloudPostgresqlInstanceList](/docs/en/common-vapidatatype-cloudpostgresqlinstancelist) for the response body. ### Response status codes For information about the HTTP status codes common to all Cloud DB for PostgreSQL (VPC) APIs, see [Cloud DB for PostgreSQL (VPC) response status codes](/docs/en/database-vpostgresql#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. - If `responseFormatType=json` ``` { "deleteCloudPostgresqlInstanceResponse": { "totalRows": 1, "cloudPostgresqlInstanceList": [ { "cloudPostgresqlInstanceNo": "****925", "cloudPostgresqlServiceName": "test-****", "cloudPostgresqlInstanceStatusName": "deleted", "cloudPostgresqlInstanceStatus": { "code": "DEL", "codeName": "CLOUD DATABASE(VPC) Deleted State" }, "cloudPostgresqlInstanceOperation": { "code": "DEL", "codeName": "CLOUD DATABASE(VPC) Delete OP" }, "cloudPostgresqlImageProductCode": "SW.VPGSL.OS.LNX64.CNTOS.0708.PGSQL.133.B050", "engineVersion": "PostgreSQL 13.3", "generationCode": "G2", "license": "PostgreSQL License", "cloudPostgresqlPort": 15432, "isHa": true, "isMultiZone": true, "isBackup": true, "backupFileRetentionPeriod": 10, "backupTime": "02:00", "createDate": "2024-06-03T10:47:11+0900", "accessControlGroupNoList": [ "****48" ], "cloudPostgresqlConfigList": [ "sample_config=sample_value" ], "cloudPostgresqlServerInstanceList": [ { "cloudPostgresqlServerInstanceNo": "****926", "cloudPostgresqlServerName": "test-****-001-523a", "cloudPostgresqlServerRole": { "code": "M", "codeName": "Primary" }, "cloudPostgresqlServerInstanceStatusName": "deleting", "cloudPostgresqlServerInstanceStatus": { "code": "RUN", "codeName": "CLOUD DATABASE(VPC) Server Running State" }, "cloudPostgresqlServerInstanceOperation": { "code": "DEL", "codeName": "CLOUD DATABASE(VPC) Server Delete OP" }, "cloudPostgresqlProductCode": "SVR.VPGSL.DBSVR.STAND.C002.M008.NET.SSD.B050.G002", "regionCode": "KR", "zoneCode": "KR-1", "vpcNo": "****87", "subnetNo": "****49", "isPublicSubnet": true, "privateDomain": "pg-****.vpc-cdb-kr.ntruss.com", "privateIp": "***.***.***.***", "dataStorageType": { "code": "SSD", "codeName": "SSD" }, "isStorageEncryption": true, "dataStorageSize": 10737418240, "usedDataStorageSize": 176379464, "cpuCount": 2, "memorySize": 8589934592, "uptime": "2024-06-04T14:17:10+0900", "createDate": "2024-06-03T10:47:11+0900" }, { "cloudPostgresqlServerInstanceNo": "****932", "cloudPostgresqlServerName": "test-****-002-523b", "cloudPostgresqlServerRole": { "code": "H", "codeName": "Secondary" }, "cloudPostgresqlServerInstanceStatusName": "deleting", "cloudPostgresqlServerInstanceStatus": { "code": "RUN", "codeName": "CLOUD DATABASE(VPC) Server Running State" }, "cloudPostgresqlServerInstanceOperation": { "code": "DEL", "codeName": "CLOUD DATABASE(VPC) Server Delete OP" }, "cloudPostgresqlProductCode": "SVR.VPGSL.DBSVR.STAND.C002.M008.NET.SSD.B050.G002", "regionCode": "KR", "zoneCode": "KR-2", "vpcNo": "****87", "subnetNo": "****51", "isPublicSubnet": true, "privateDomain": "pg-****.vpc-cdb-kr.ntruss.com", "privateIp": "***.***.***.***", "dataStorageType": { "code": "SSD", "codeName": "SSD" }, "isStorageEncryption": true, "dataStorageSize": 10737418240, "usedDataStorageSize": 125747878, "cpuCount": 2, "memorySize": 8589934592, "uptime": "2024-06-03T10:54:56+0900", "createDate": "2024-06-03T10:47:11+0900" } ] } ], "requestId": "5d29afc1-****-****-****-279768550dc8", "returnCode": "0", "returnMessage": "success" } } ``` - If `responseFormatType=xml` (default) ``` 5d29afc1-****-****-****-279768550dc8 0 success 1 ****925 test-**** deleted DEL CLOUD DATABASE(VPC) Deleted State DEL CLOUD DATABASE(VPC) Delete OP SW.VPGSL.OS.LNX64.CNTOS.0708.PGSQL.133.B050 PostgreSQL 13.3 G2 PostgreSQL License 15432 true true true 10 02:00 2024-06-03T10:47:11+0900 ****48 sample_config=sample_value ****926 test-****-001-523a M Primary deleting RUN CLOUD DATABASE(VPC) Server Running State DEL CLOUD DATABASE(VPC) Server Delete OP SVR.VPGSL.DBSVR.STAND.C002.M008.NET.SSD.B050.G002 KR KR-1 ****87 ****49 true pg-****.vpc-cdb-kr.ntruss.com ***.***.***.*** SSD SSD true 10737418240 168055609 2 8589934592 2024-06-04T14:17:10+0900 2024-06-03T10:47:11+0900 ****932 test-****-002-523b H Secondary deleting RUN CLOUD DATABASE(VPC) Server Running State DEL CLOUD DATABASE(VPC) Server Delete OP SVR.VPGSL.DBSVR.STAND.C002.M008.NET.SSD.B050.G002 KR KR-2 ****87 ****51 true pg-****.vpc-cdb-kr.ntruss.com ***.***.***.*** SSD SSD true 10737418240 117576974 2 8589934592 2024-06-03T10:54:56+0900 2024-06-03T10:47:11+0900 ```